Bug 433741 - execute command "nfsstat --mounted" cann't print information of the mounted NFS file systems
execute command "nfsstat --mounted" cann't print information of the mounted N...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
i686 Linux
low Severity low
: rc
: ---
Assigned To: Steve Dickson
Depends On:
Blocks: 391501 409971
  Show dependency treegraph
Reported: 2008-02-20 22:49 EST by Peng Haitao
Modified: 2010-10-22 18:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 16:01:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This is a patch fixing this bug (522 bytes, patch)
2008-02-20 22:49 EST, Peng Haitao
no flags Details | Diff

  None (edit)
Description Peng Haitao 2008-02-20 22:49:33 EST
Description of problem:
execute command "nfsstat --mounted" will print the error message "nfsstat:
unrecognized option `--mounted'" 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.nfsstat --mounted
Actual results:
nfsstat: unrecognized option `--mounted'
Try `nfsstat --help' for more information.

Expected results:
Each of the mounted NFS file systems.
For example:
/temp_dir from localhost:/tmp

Additional info:
Comment 1 Peng Haitao 2008-02-20 22:49:33 EST
Created attachment 295480 [details]
This is a patch fixing this bug
Comment 2 RHEL Product and Program Management 2008-06-02 16:17:46 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 4 Steve Dickson 2008-09-17 10:28:32 EDT
Fixed in nfs-utils-1.0.9-36.el5
Comment 6 Chris Ward 2008-11-28 02:12:54 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 7 Peng Haitao 2008-11-30 20:26:33 EST
This bug has been fixed in RHEL5.3Beta(Red Hat Enterprise Linux Server release 5.3 Beta (Tikanga)).

Actual results is the same with Expected results:
# nfsstat --mounted
/root/temp_dir from RHEL5.3Beta:/tmp
 Flags: rw,vers=3,rsize=32768,wsize=32768,hard,proto=tcp,timeo=600,retrans=2,sec=sys,addr=RHEL5.3Beta
Comment 10 errata-xmlrpc 2009-01-20 16:01:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 12 Milos Malik 2009-04-09 05:38:35 EDT
nfsstat from nfs-utils-1.1.4-8.fc10 package is also affected. Is the patch in upstream?

Note You need to log in before you can comment on or make changes to this bug.